Subject: [Mentoring-coordinators] Fw: [v6ops] Review: draft-ietf-v6ops-unique-ipv6-prefix-per-host

From: <[email-masked]>
Date: Mon, 23 May 2016 15:35:22 +0000 (UTC)

Guys,
Excellent work! Thanks,
Nalini ElkinsInside Products, Inc.www.insidethestack.com(831) 659-8360

----- Forwarded Message -----
 From: Edwin Cordeiro <[email-masked]>
 To: IPv6 Ops WG <[email-masked]> 
 Sent: Monday, May 23, 2016 8:24 AM
 Subject: [v6ops] Review: draft-ietf-v6ops-unique-ipv6-prefix-per-host
   
Hello all,
Below is the first review from the Internet Draft Review Team that I'm mentoring.
Document: draft-ietf-v6ops-unique-ipv6-prefix-per-host-00
Reviewers: Ricardo Pelaez-Negro, Edwin Cordeiro
Review Date: May 23th 2016
Summary: It is a good suggestion for a BCP, but it needs to add DHCP-PD to it
Comments: The draft proposes the use of an unique /64 for each user equipment connected to a WLAN gateway. The proposal highlights the benefit of such approach but fails to analyse possible consequences. I would support this draft to move forward if these issues are addressed.
Major Issues: - The DHCPv6-PD is mentioned for the first time only in section 4.3.1 and later at the "Future Work" session. From my understanding DHCPv6-PD is capable of implementing the network as desired in this BCP. Considering the intended status is BCP, I think that DCHPv6-PD should be added as valid implementation alternative.- The draft doesn't mention possible issues of giving one /64 for each UE, for example, a public WIFI with support for 512 users will need a /55 instead of a single /64.
Minor Issues and Nits: The document has some Nits problems as detailed in: https://tools.ietf.org/idnits?url=https://tools.ietf.org/id/draft-jjmb-v6ops-unique-ipv6-prefix-per-host-00.txt
Questions:- Should this document address the best way to logging the prefix assign to the UE/subscriber?- Assigning the same unique prefix if the UE/subscriber reconnect to the same AP, is something that should be considered or avoided?
Best regards,
Edwin Cordeiro
_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops